Bug 21963 - crash
: crash
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glob2)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-16 14:24 by
Modified: 2009-12-27 02:11 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-16 14:24:32
Гарантированно вываливается при выходе:

% glob2
socket(): Address family not supported by protocol
*** glibc detected *** glob2: corrupted double-linked list: 0x08898f20 ***
======= Backtrace: =========
/lib/libc.so.6[0xb7c5a83a]
/lib/libc.so.6[0xb7c5bd9e]
/lib/libc.so.6(cfree+0x6d)[0xb7c5e6ed]
/usr/lib/libspeex.so.1(nb_encoder_destroy+0x42)[0xb7e8c5f2]
/usr/lib/libspeex.so.1(speex_encoder_destroy+0x11)[0xb7e89581]
glob2[0x822988a]
glob2[0x812128b]
glob2[0x811aa5c]
glob2[0x811b453]
/lib/libc.so.6(__libc_start_main+0xe6)[0xb7c07b26]
glob2[0x80532f1]
======= Memory map: ========
08048000-0838f000 r-xp 00000000 08:05 260705     /usr/bin/glob2
0838f000-08390000 r-xp 00346000 08:05 260705     /usr/bin/glob2
08390000-08391000 rwxp 00347000 08:05 260705     /usr/bin/glob2
08391000-08de6000 rwxp 00000000 00:00 0          [heap]
afea3000-afea4000 ---p 00000000 00:00 0
afea4000-b06a3000 rwxp 00000000 00:00 0
b16a3000-b16a4000 ---p 00000000 00:00 0
b16a4000-b1ea3000 rwxp 00000000 00:00 0
b1ea3000-b1ea4000 ---p 00000000 00:00 0
b1ea4000-b26a3000 rwxp 00000000 00:00 0
b26a3000-b26a4000 ---p 00000000 00:00 0
b26a4000-b2ea3000 rwxp 00000000 00:00 0
b2ea3000-b2ea4000 ---p 00000000 00:00 0
b2ea4000-b36a3000 rwxp 00000000 00:00 0
b4500000-b4501000 ---p 00000000 00:00 0
b4501000-b4d00000 rwxp 00000000 00:00 0
b4d00000-b4d01000 ---p 00000000 00:00 0
b4d01000-b5500000 rwxp 00000000 00:00 0
b5d00000-b5df3000 rwxp 00000000 00:00 0
b5df3000-b5e00000 ---p 00000000 00:00 0
b5f00000-b5f01000 ---p 00000000 00:00 0
b5f01000-b6700000 rwxp 00000000 00:00 0
b6700000-b67fe000 rwxp 00000000 00:00 0
b67fe000-b6800000 ---p 00000000 00:00 0
b6800000-b68fa000 rwxp 00000000 00:00 0
b68fa000-b6900000 ---p 00000000 00:00 0
b6900000-b6af1000 rwxp 00000000 00:00 0
b6af1000-b6b00000 ---p 00000000 00:00 0
b6b00000-b6d00000 rwxp 00000000 00:00 0
b6d00000-b6e00000 rwxp 00000000 00:00 0
b6e18000-b711b000 rwxp 00000000 00:00 0
b719a000-b71db000 rwxp 00000000 00:00 0
b721c000-b7243000 rwxp 00000000 00:00 0
b726a000-b7290000 rwxp 00000000 00:00 0
b72b6000-b72db000 rwxp 00000000 00:00 0
b72e7000-b72f0000 r-xp 00000000 08:01 15618      /lib/libnss_nis-2.10.1.so
b72f0000-b72f1000 r-xp 00008000 08:01 15618      /lib/libnss_nis-2.10.1.so
b72f1000-b72f2000 rwxp 00009000 08:01 15618      /lib/libnss_nis-2.10.1.so
b72f2000-b72fe000 r-xp 00000000 08:01 15621      /lib/libnss_nisplus-2.10.1.so
b72fe000-b72ff000 r-xp 0000b000 08:01 15621      /lib/libnss_nisplus-2.10.1.so
b72ff000-b7300000 rwxp 0000c000 08:01 15621      /lib/libnss_nisplus-2.10.1.so
b7300000-b74d5000 rwxp 00000000 00:00 0
b74d5000-b75c0000 rwxs 00000000 00:08 25723124   /SYSV00000000 (deleted)
b75c0000-b7683000 r-xp 00000000 08:05 620035     /usr/lib/libasound.so.2.0.0
b7683000-b7687000 r-xp 000c2000 08:05 620035     /usr/lib/libasound.so.2.0.0
b7687000-b7688000 rwxp 000c6000 08:05 620035     /usr/lib/libasound.so.2.0.0
b76a4000-b76b6000 r-xp 00000000 08:01 14876      /lib/libresolv-2.10.1.so
b76b6000-b76b7000 r-xp 00011000 08:01 14876      /lib/libresolv-2.10.1.so
b76b7000-b76b8000 rwxp 00012000 08:01 14876      /lib/libresolv-2.10.1.so
b76b8000-b76ba000 rwxp 00000000 00:00 0
b76ba000-b76cf000 r-xp 00000000 08:01 14863      /lib/libnsl-2.10.1.so
b76cf000-b76d0000 r-xp 00014000 08:01 14863      /lib/libnsl-2.10.1.so
b76d0000-b76d1000 rwxp 00015000 08:01 14863      /lib/libnsl-2.10.1.so
b76d1000-b76d3000 rwxp 00000000 00:00 0
b76d3000-b76d7000 r-xp 00000000 08:01 15520      /lib/libattr.so.1.1.0
b76d7000-b76d8000 r-xp 00003000 08:01 15520      /lib/libattr.so.1.1.0
b76d8000-b76d9000 rwxp 00004000 08:01 15520      /lib/libattr.so.1.1.0
b76d9000-b7711000 r-xp 00000000 08:05 619538     /usr/lib/libdbus-1.so.3.4.0
b7711000-b7712000 r-xp 00037000 08:05 619538     /usr/lib/libdbus-1.so.3.4.0
b7712000-b7713000 rwxp 00038000 08:05 619538     /usr/lib/libdbus-1.so.3.4.0
b7713000-b7718000 r-xp 00000000 08:05 619539     /usr/lib/libasyncns.so.0.0.0
b7718000-b7719000 r-xp 00004000 08:05 619539     /usr/lib/libasyncns.so.0.0.0
b7719000-b771a000 rwxp 00005000 08:05 619539     /usr/lib/libasyncns.so.0.0.0
b771a000-b7720000 r-xp 00000000 08:01 14757      /lib/libwrap.so.7.6
b7720000-b7721000 r-xp 00005000 08:01 14757      /lib/libwrap.so.7.6
b77210zsh: abort      glob2
------- Comment #1 From 2009-10-17 10:31:19 -------
Похоже, что это он: https://savannah.nongnu.org/bugs/?26683
------- Comment #2 From 2009-10-17 11:40:30 -------
Аналогичная проблема в Gentoo: http://bugs.gentoo.org/show_bug.cgi?id=271313
------- Comment #3 From 2009-10-17 17:29:10 -------
В Сизиф ушло glob2-0.9.4.4-alt1
------- Comment #4 From 2009-10-25 00:38:44 -------
fixed?
------- Comment #5 From 2009-12-27 02:11:10 -------
Получается fixed